import { Directive } from '@angular/core';
import { NG_VALIDATORS, AbstractControl, Validator } from '@angular/forms';
import { cpfValidator } from './validator';

@Directive({
    selector: '[cpfValidate]',
    providers: [{provide: NG_VALIDATORS, useExisting: CpfValidateDirective, multi: true}]
  })

  export class CpfValidateDirective implements Validator {
  
    validate(control: AbstractControl): {[key: string]: any} | null {
      return cpfValidator()(control);
    }
  }