import { Directive } from '@angular/core';
import { NG_VALIDATORS, AbstractControl, Validator } from '@angular/forms';
import { cnpjValidator } from './validator';

@Directive({
    selector: '[cnpjValidate]',
    providers: [{provide: NG_VALIDATORS, useExisting: CnpjValidateDirective, multi: true}]
  })
  export class CnpjValidateDirective implements Validator {
  
    validate(control: AbstractControl): {[key: string]: any} | null {
      return cnpjValidator()(control);
    }
  }
